Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362122 - [RFE] Keystone password management (for PCI-DSS)
Summary: [RFE] Keystone password management (for PCI-DSS)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Adam Young
QA Contact: Rodrigo Duarte
URL:
Whiteboard:
Depends On:
Blocks: 1429533
TreeView+ depends on / blocked
 
Reported: 2016-08-01 10:33 UTC by David Sanz
Modified: 2017-03-06 14:36 UTC (History)
11 users (show)

Fixed In Version: openstack-keystone-10.0.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1429533 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:47:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description David Sanz 2016-08-01 10:33:12 UTC
When using mysql as backend authentication, there’s no password verification when creating a new user or when user change its own password.
The PCI guide require some quality requirements regarding the password management, for example:

Password Maximum Age
Password Strength Minimum Digit Characters
Password Minimum Length
Password Strength Minimum Uppercase Characters
Password Strength Minimum Lowercase Characters

Those requirements should be configurables by the administrator, and mandatory for users when they try to change their own password.

Use Case:

Bank regulatory process require that all systems related to transaction management have restrictions about password management.

Comment 2 Adam Young 2016-08-05 18:00:24 UTC
PCI work is happening upstream. We are  likely to have a better situation in the Newton release.

http://git.openstack.org/cgit/openstack/keystone-specs/tree/specs/keystone/newton/pci-dss.rst

See the set of posted changes in the Blueprint.

https://blueprints.launchpad.net/keystone/+spec/pci-dss

Please update this bug accordingly;  MAake RFEs fro things not covered, and tracker bugs for the features in upstream that you care about.

Comment 5 Rodrigo Duarte 2016-10-07 18:26:52 UTC
A couple of bugs have been reported upstream for this feature [1][2]. [1] has already been merged and backported to stable/newton [3][4], [2] has already been merged [5] but the backport has not been merged yet [6].

[1] https://bugs.launchpad.net/keystone/+bug/1628692
[2] https://bugs.launchpad.net/keystone/+bug/1630092

[3] https://review.openstack.org/#/c/379018/ (master fix for bug [1])
[4] https://review.openstack.org/#/c/379607/ (stable/newton for bug [1])

[5] https://review.openstack.org/#/c/379030/ (master fix for bug [2])
[6] https://review.openstack.org/#/c/383846/ (stable/newton for bug [2])

Comment 8 Nathan Kinder 2016-10-21 15:51:18 UTC
The final patch for this merged upstream into stable/newton (see comment#5, item#6 for the review link).

Comment 9 Rodrigo Duarte 2016-11-04 22:29:39 UTC
verified for openstack-keystone-10.0.0-2.el7ost.

Comment 16 errata-xmlrpc 2016-12-14 15:47:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.